/*
 * File:   main.c
 * Author: paul_000
 *
 * Created on July 20, 2017, 7:39 PM
 */


#include <xc.h>
#include <stdint.h> //needed for uint8_t
#include "mcc_generated_files/mcc.h"

#define MAXSINE 20
#define XTAL_FREQ  16000000
// Sine Table based on 8 bit DAC, 20 elements 18 deg/point
const uint8_t sintable[] = {128, 167, 203, 231, 250, 255, 250, 231, 203, 167, 128, 88, 53, 25, 6, 1, 6, 25, 53, 88};

void main(void) {
    SYSTEM_Initialize();
    int i,j;
    while(1) {
        for( j=0; j<5; j++) {
            for( i=0; i<MAXSINE; i++) {
                DAC1_SetOutput(sintable[i]);
                __delay_us(1);
            }
        }
        __delay_ms(1);
        LATAbits.LATA0 = !PORTAbits.RA0;
    }
}